cURL
curl --request GET \ --url https://{host}/v2/workspaces/slug:agent-factory/webhooks/v1/agents/{agentId}/tools \ --header 'Authorization: Bearer <token>'
{ "items": [ { "id": "<string>", "type": "file_search", "name": "<string>", "display_name": "<string>", "description": "<string>", "catalog_id": "<string>", "auth": {}, "icon_url": "<string>", "vector_store_id": "<string>", "server": "<string>", "headers": {}, "scope": "<string>", "url": "<string>", "parameters": {} } ] }
Documentation IndexFetch the complete documentation index at: https://docs.prisme.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.prisme.ai/llms.txt
Use this file to discover all available pages before exploring further.
User session JWT or instance API key (iak_*). Send as Authorization: Bearer <token>.
iak_*
Authorization: Bearer <token>
64
Tool list.
Hide child attributes
file_search
mcp
function
^[a-zA-Z0-9_-]+$
Required for file_search.
MCP server URL (for mcp).
Required for function.
JSON Schema describing the function tool's parameters.
Was this page helpful?